package controller

import "go-humas-be/app/module/article_category_details/service"

type Controller struct {
	ArticleCategoryDetails ArticleCategoryDetailsController
}

func NewController(ArticleCategoryDetailsService service.ArticleCategoryDetailsService) *Controller {
	return &Controller{
		ArticleCategoryDetails: NewArticleCategoryDetailsController(ArticleCategoryDetailsService),
	}
}